My macbook pro is from 09, running on 10.5.8, 2.66 GHz intel core 2 duo and has 4 GB memory. Can I still upgrade to snow leopard?

Back To Product

Follow this Question

1 Answer from the Community

  • Answer

    Yes. Snow Leopard only requires an Intel CPU and at least 1GB of memory and an optical drive. Your MacBook Pro meets those requirements.

    Was this useful? Answer 1

    3 of 3 people found this useful

Related Questions